# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "tokio-socks"
version = "0.2.0"
authors = ["Yilin Chen <sticnarf@gmail.com>"]
description = "Asynchronous SOCKS proxy support for Rust."
homepage = "https://github.com/sticnarf/tokio-socks"
documentation = "https://docs.rs/tokio-socks"
readme = "README.md"
keywords = ["tokio", "async", "proxy", "socks", "socks5"]
categories = ["asynchronous", "network-programming"]
license = "MIT"
repository = "https://github.com/sticnarf/tokio-socks"

[[example]]
name = "tor"
required-features = ["tor"]
[dependencies.bytes]
version = "0.4"

[dependencies.derefable]
version = "0.1"

[dependencies.either]
version = "1"

[dependencies.failure]
version = "0.1"

[dependencies.futures]
version = "0.3"

[dependencies.tokio]
version = "0.2"
features = ["io-util", "stream", "tcp"]
[dev-dependencies.hyper]
version = "0.13"

[dev-dependencies.once_cell]
version = "1.2.0"

[dev-dependencies.tokio]
version = "0.2"
features = ["io-util", "rt-threaded"]

[features]
tor = []
[badges.travis-ci]
repository = "sticnarf/tokio-socks"
